const { JSDOM } = require('jsdom')

module.exports = function(content) {
  const target = this.options.target === 'web' ? 'web' : 'native'
  const notTarget = this.options.target === 'web' ? 'native' : 'web'
  if (this.loaders[this.loaderIndex].options === 'vue') {
    const doc = JSDOM.fragment(content)
    const parts = Object.values(doc.querySelectorAll(`:not([${notTarget}])`))
    return parts.map(el => el.outerHTML).join(' ')
  } else {
    return content
      .replace(
        new RegExp(
          `\/\\*--@${notTarget}--\\*\/[\\s\\S]*?\/\\*--@${notTarget}--\\*\/`,
          'g'
        ),
        ''
      )
      .replace(
        new RegExp(
          `\/\\*--@${target}--\\*\/([\\s\\S]*?)\/\\*--@${target}--\\*\/`,
          'g'
        ),
        '$1'
      )
  }
}
